#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: Agda
version: 2.4.2.3
id: Agda-2.4.2.3-6e62eaf176a82cbdfe0c856e3c798e7e
key: Agda_0hTxYr3v6dR3ZuHXWyiffz
license: OtherLicense
maintainer: Ulf Norell <ulfn@chalmers.se>
homepage: http://wiki.portal.chalmers.se/agda/
synopsis: A dependently typed functional programming language and proof assistant
description:
    Agda is a dependently typed functional programming language: It has
    inductive families, which are similar to Haskell'\''s GADTs, but they
    can be indexed by values and not just types. It also has
    parameterised modules, mixfix operators, Unicode characters, and an
    interactive Emacs interface (the type checker can assist in the
    development of your code).
    .
    Agda is also a proof assistant: It is an interactive system for
    writing and checking proofs. Agda is based on intuitionistic type
    theory, a foundational system for constructive mathematics developed
    by the Swedish logician Per Martin-L&#xf6;f. It has many
    similarities with other proof assistants based on dependent types,
    such as Coq, Epigram and NuPRL.
    .
    This package includes both a command-line program (agda) and an
    Emacs mode. If you want to use the Emacs mode you can set it up by
    running @agda-mode setup@ (see the README).
    .
    Note that the Agda library does not follow the package versioning
    policy, because it is not intended to be used by third-party
    packages.
category: Dependent types
author: Ulf Norell, Andreas Abel, Nils Anders Danielsson, Makoto Takeyama, Catarina Coquand, with contributions by Stevan Andjelkovic, Marcin Benke, Jean-Philippe Bernardy, James Chapman, Jesper Cockx, Dominique Devriese, Peter Divanski, Fredrik Nordvall Forsberg, Olle Fredriksson, Daniel Gustafsson, Philipp Hausmann, Patrik Jansson, Alan Jeffrey, Wolfram Kahl, Fredrik Lindblad, Francesco Mazzoli, Stefan Monnier, Darin Morrison, Guilhem Moulin, Nicolas Pouillard, Andrés Sicard-Ramírez, Andrea Vezzosi and many more.
exposed: True
exposed-modules:
    Agda.Auto.Auto Agda.Auto.CaseSplit Agda.Auto.Convert
    Agda.Auto.NarrowingSearch Agda.Auto.SearchControl Agda.Auto.Syntax
    Agda.Auto.Typecheck Agda.Compiler.CallCompiler
    Agda.Compiler.Epic.AuxAST Agda.Compiler.Epic.CaseOpts
    Agda.Compiler.Epic.Compiler Agda.Compiler.Epic.CompileState
    Agda.Compiler.Epic.Epic Agda.Compiler.Epic.Erasure
    Agda.Compiler.Epic.ForceConstrs Agda.Compiler.Epic.Forcing
    Agda.Compiler.Epic.FromAgda Agda.Compiler.Epic.Injection
    Agda.Compiler.Epic.Interface Agda.Compiler.Epic.NatDetection
    Agda.Compiler.Epic.Primitive Agda.Compiler.Epic.Smashing
    Agda.Compiler.Epic.Static Agda.Compiler.HaskellTypes
    Agda.Compiler.JS.Case Agda.Compiler.JS.Compiler
    Agda.Compiler.JS.Syntax Agda.Compiler.JS.Substitution
    Agda.Compiler.JS.Parser Agda.Compiler.JS.Pretty
    Agda.Compiler.MAlonzo.Compiler Agda.Compiler.MAlonzo.Encode
    Agda.Compiler.MAlonzo.Misc Agda.Compiler.MAlonzo.Pretty
    Agda.Compiler.MAlonzo.Primitives Agda.ImpossibleTest
    Agda.Interaction.BasicOps Agda.Interaction.CommandLine
    Agda.Interaction.EmacsCommand Agda.Interaction.EmacsTop
    Agda.Interaction.Exceptions Agda.Interaction.FindFile
    Agda.Interaction.Highlighting.Dot
    Agda.Interaction.Highlighting.Emacs
    Agda.Interaction.Highlighting.Generate
    Agda.Interaction.Highlighting.HTML
    Agda.Interaction.Highlighting.Precise
    Agda.Interaction.Highlighting.Range
    Agda.Interaction.Highlighting.Vim
    Agda.Interaction.Highlighting.LaTeX Agda.Interaction.Imports
    Agda.Interaction.InteractionTop Agda.Interaction.Response
    Agda.Interaction.MakeCase Agda.Interaction.Monad
    Agda.Interaction.Options Agda.Interaction.Options.Lenses Agda.Main
    Agda.Syntax.Abstract.Copatterns Agda.Syntax.Abstract.Name
    Agda.Syntax.Abstract.Pretty Agda.Syntax.Abstract.Views
    Agda.Syntax.Abstract Agda.Syntax.Common
    Agda.Syntax.Concrete.Definitions Agda.Syntax.Concrete.Generic
    Agda.Syntax.Concrete.Name Agda.Syntax.Concrete.Operators.Parser
    Agda.Syntax.Concrete.Operators Agda.Syntax.Concrete.Pretty
    Agda.Syntax.Concrete Agda.Syntax.Fixity Agda.Syntax.Info
    Agda.Syntax.Internal Agda.Syntax.Internal.Defs
    Agda.Syntax.Internal.Generic Agda.Syntax.Internal.Pattern
    Agda.Syntax.Literal Agda.Syntax.Notation Agda.Syntax.Parser.Alex
    Agda.Syntax.Parser.Comments Agda.Syntax.Parser.Layout
    Agda.Syntax.Parser.LexActions Agda.Syntax.Parser.Lexer
    Agda.Syntax.Parser.LookAhead Agda.Syntax.Parser.Monad
    Agda.Syntax.Parser.Parser Agda.Syntax.Parser.StringLiterals
    Agda.Syntax.Parser.Tokens Agda.Syntax.Parser Agda.Syntax.Position
    Agda.Syntax.Scope.Base Agda.Syntax.Scope.Monad
    Agda.Syntax.Translation.AbstractToConcrete
    Agda.Syntax.Translation.ConcreteToAbstract
    Agda.Syntax.Translation.InternalToAbstract
    Agda.Termination.CallGraph Agda.Termination.CallMatrix
    Agda.Termination.CutOff Agda.Termination.Inlining
    Agda.Termination.Monad Agda.Termination.Order
    Agda.Termination.RecCheck Agda.Termination.SparseMatrix
    Agda.Termination.Semiring Agda.Termination.TermCheck
    Agda.Termination.Termination Agda.Tests Agda.TheTypeChecker
    Agda.TypeChecking.Abstract Agda.TypeChecking.CheckInternal
    Agda.TypeChecking.CompiledClause
    Agda.TypeChecking.CompiledClause.Compile
    Agda.TypeChecking.CompiledClause.Match
    Agda.TypeChecking.Constraints Agda.TypeChecking.Conversion
    Agda.TypeChecking.Coverage Agda.TypeChecking.Coverage.Match
    Agda.TypeChecking.Coverage.SplitTree Agda.TypeChecking.Datatypes
    Agda.TypeChecking.DisplayForm Agda.TypeChecking.DropArgs
    Agda.TypeChecking.Empty Agda.TypeChecking.EtaContract
    Agda.TypeChecking.Errors Agda.TypeChecking.Free
    Agda.TypeChecking.Forcing Agda.TypeChecking.Implicit
    Agda.TypeChecking.Injectivity Agda.TypeChecking.InstanceArguments
    Agda.TypeChecking.Irrelevance Agda.TypeChecking.Level
    Agda.TypeChecking.LevelConstraints Agda.TypeChecking.MetaVars
    Agda.TypeChecking.MetaVars.Mention
    Agda.TypeChecking.MetaVars.Occurs Agda.TypeChecking.Monad.Base
    Agda.TypeChecking.Monad.Base.Benchmark
    Agda.TypeChecking.Monad.Base.KillRange
    Agda.TypeChecking.Monad.Benchmark Agda.TypeChecking.Monad.Builtin
    Agda.TypeChecking.Monad.Closure Agda.TypeChecking.Monad.Constraints
    Agda.TypeChecking.Monad.Context Agda.TypeChecking.Monad.Debug
    Agda.TypeChecking.Monad.Env Agda.TypeChecking.Monad.Exception
    Agda.TypeChecking.Monad.Imports Agda.TypeChecking.Monad.MetaVars
    Agda.TypeChecking.Monad.Mutual Agda.TypeChecking.Monad.Open
    Agda.TypeChecking.Monad.Options Agda.TypeChecking.Monad.Sharing
    Agda.TypeChecking.Monad.Signature
    Agda.TypeChecking.Monad.SizedTypes Agda.TypeChecking.Monad.State
    Agda.TypeChecking.Monad.Statistics Agda.TypeChecking.Monad.Trace
    Agda.TypeChecking.Monad Agda.TypeChecking.Patterns.Abstract
    Agda.TypeChecking.Patterns.Match Agda.TypeChecking.Polarity
    Agda.TypeChecking.Positivity Agda.TypeChecking.Pretty
    Agda.TypeChecking.Primitive Agda.TypeChecking.ProjectionLike
    Agda.TypeChecking.Quote Agda.TypeChecking.RecordPatterns
    Agda.TypeChecking.Records Agda.TypeChecking.Reduce
    Agda.TypeChecking.Reduce.Monad Agda.TypeChecking.Rewriting
    Agda.TypeChecking.Rewriting.NonLinMatch
    Agda.TypeChecking.Rules.Builtin
    Agda.TypeChecking.Rules.Builtin.Coinduction
    Agda.TypeChecking.Rules.Data Agda.TypeChecking.Rules.Decl
    Agda.TypeChecking.Rules.Def Agda.TypeChecking.Rules.LHS
    Agda.TypeChecking.Rules.LHS.Implicit
    Agda.TypeChecking.Rules.LHS.Instantiate
    Agda.TypeChecking.Rules.LHS.Problem
    Agda.TypeChecking.Rules.LHS.ProblemRest
    Agda.TypeChecking.Rules.LHS.Split Agda.TypeChecking.Rules.LHS.Unify
    Agda.TypeChecking.Rules.Record Agda.TypeChecking.Rules.Term
    Agda.TypeChecking.Serialise Agda.TypeChecking.SizedTypes
    Agda.TypeChecking.SizedTypes.Solve
    Agda.TypeChecking.SizedTypes.Syntax
    Agda.TypeChecking.SizedTypes.Tests
    Agda.TypeChecking.SizedTypes.Utils
    Agda.TypeChecking.SizedTypes.WarshallSolver
    Agda.TypeChecking.Substitute Agda.TypeChecking.SyntacticEquality
    Agda.TypeChecking.Telescope Agda.TypeChecking.Test.Generators
    Agda.TypeChecking.Tests Agda.TypeChecking.Unquote
    Agda.TypeChecking.With Agda.Utils.AssocList Agda.Utils.Bag
    Agda.Utils.BiMap Agda.Utils.Char Agda.Utils.Cluster
    Agda.Utils.Empty Agda.Utils.Except Agda.Utils.Either
    Agda.Utils.Favorites Agda.Utils.FileName Agda.Utils.Functor
    Agda.Utils.Function Agda.Utils.Geniplate
    Agda.Utils.Graph.AdjacencyMap
    Agda.Utils.Graph.AdjacencyMap.Unidirectional Agda.Utils.Hash
    Agda.Utils.HashMap Agda.Utils.Impossible Agda.Utils.IO.Binary
    Agda.Utils.IO.UTF8 Agda.Utils.IORef Agda.Utils.Lens
    Agda.Utils.Lens.Examples Agda.Utils.List Agda.Utils.ListT
    Agda.Utils.ListT.Tests Agda.Utils.Map Agda.Utils.Map.Compat
    Agda.Utils.Maybe Agda.Utils.Maybe.Strict Agda.Utils.Monad
    Agda.Utils.Null Agda.Utils.PartialOrd Agda.Utils.Permutation
    Agda.Utils.Permutation.Tests Agda.Utils.Pointer Agda.Utils.Pretty
    Agda.Utils.QuickCheck Agda.Utils.ReadP Agda.Utils.SemiRing
    Agda.Utils.Singleton Agda.Utils.Size Agda.Utils.String
    Agda.Utils.Suffix Agda.Utils.TestHelpers Agda.Utils.Time
    Agda.Utils.Trie Agda.Utils.Tuple Agda.Utils.Update
    Agda.Utils.VarSet Agda.Utils.Warshall Agda.Version
hidden-modules: Paths_Agda
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/Agda-2.4.2.3
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/Agda-2.4.2.3
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/Agda-2.4.2.3
hs-libraries: HSAgda-2.4.2.3-0hTxYr3v6dR3ZuHXWyiffz
include-dirs: /usr/local/include
depends:
    QuickCheck-2.8.1-e0a8ce16831e8763b673779676610877
    array-0.5.1.0-d4206b835b96b5079d918fa1eab1a9a8
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    binary-0.7.5.0-210ed49a66bfc1910dcc35f4d9fcd9cd
    boxes-0.1.4-77310885400dea00292db9fb907177e4
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    containers-0.5.6.2-038ff4498ef87a6c587d93cd99a6573b
    data-hash-0.2.0.1-f10640c37e862462bd32ad5a3d5ba2d1
    deepseq-1.4.1.1-0354326a723a42c7cbc9764ea7e4c5c2
    directory-1.2.2.0-4f9c4bef00d863c7033002ae78281cda
    edit-distance-0.2.2.1-1e17962d7db38ea1b8ddcbcc82c36e3f
    equivalence-0.3.1-d0c55e5d0e0afa9edd025dd6e148e569
    filepath-1.4.0.0-8fee9c13b5e42926cc01f6aa7c403c4b
    geniplate-mirror-0.7.1-8366f195fd15caa5f4a3828efdfc6b78
    hashable-1.2.3.3-8f170cf3be214ecb17aa999ac01e25b9
    hashtables-1.2.0.2-0c3b60471c6fd5a07d38f1db96609da7
    haskeline-0.7.2.1-51317a55d285914013f36a2ed6143113
    haskell-src-exts-1.16.0.1-23951c867e9dfab8e75a8d49aff40c21
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
    parallel-3.2.0.6-8d3b701e5e226adf3c5602966a8a78d7
    pretty-1.1.2.0-b0c90c4562609e57954c7f75231d980f
    process-1.2.3.0-d0490258ea9b7ac28566ea8dc1a5cc4a
    strict-0.3.2-327d2b680088766bd7254ef37600528a
    template-haskell-2.10.0.0-08b8877239099034286979627d937e79
    text-1.2.1.3-7b7b9ddb2dfcabed4e37e6b2f8cdc5f5
    time-1.5.0.1-52ad75dcebbd2b7b57831e7da202bac7
    transformers-0.4.2.0-21dcbf13c43f5d8cf6a1f54dee6c5bff
    transformers-compat-0.4.0.4-3ca5cbcec233c17da785d5f27705643c
    unordered-containers-0.2.5.1-f06a187b7e838c69d874badd31102fe1
    xhtml-3000.2.1-5a3d6f023f8af89b9c3e60e732c4b723
    zlib-0.5.4.2-d36f531ac8e39e3d6ba58d89b378a382
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/Agda-2.4.2.3/html/Agda.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/Agda-2.4.2.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
